<?php

	/**
	 *
	 * Plugin Name: Leads CRM WordPress WooCommerce Prospect Add-on
	 * Plugin URI: https://www.bizswoop.com/wp/leads
	 * Description:  Add Prospect functionality for Leads CRM WordPress WooCommerce Plugin
	 * Version: 2.0
	 * Text Domain: zleads
	 * WC requires at least: 2.4.0
	 * WC tested up to: 3.6.0
	 * Author: BizSwoop a CPF Concepts, LLC Brand
	 * Author URI: http://www.bizswoop.com
	 */

	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	define( 'ZLEADSCRM_PROSPECT_BASE_FILE', __FILE__ );
	define( 'ZLEADSCRM_PROSPECT_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
	if ( ! class_exists( 'ZLEADSCRM_BASIC_Core' ) ) {
		add_action( 'admin_notices', function () {
			?>
            <div class="notice notice-error is-dismissible">
                <p>To be able to use Leads Prospect Add-on, you need to install the Leads Basic Plugin
                    first!</p>
            </div>
			<?php
		} );
	} else {

		/* Loading Classes */
		require_once( ZLEADSCRM_PROSPECT_PLUGIN_DIR . 'helper/class-zleadscrm-prospect-core.php' );

		register_activation_hook( __FILE__, array( 'ZLEADSCRM_PROSPECT_Core', 'plugin_activation' ) );
		register_deactivation_hook( __FILE__, array( 'ZLEADSCRM_PROSPECT_Core', 'plugin_deactivation' ) );

		add_action( 'init', array( 'ZLEADSCRM_PROSPECT_Core', 'init' ) );

		if ( is_admin() || ( defined( 'WP_CLI' ) && WP_CLI ) ) {
			require_once( ZLEADSCRM_PROSPECT_PLUGIN_DIR . 'helper/class-zleadscrm-prospect-core-admin.php' );
			$adm_admin = new ZLEADSCRM_PROSPECT_Core_Admin();
		}

// Functions
		require_once( ZLEADSCRM_PROSPECT_PLUGIN_DIR . 'leads-prospect-functions.php' );
	}
?>