<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	if ( ! class_exists( 'ZLEADSCRM_BASIC_Core_Leads_Users' ) ) {
		require_once( ZLEADSCRM_BASIC_PLUGIN_DIR . 'helper/class-zleadscrm-core-leads-users.php' );
	}

	class ZLEADSCRM_EXPORT_BASIC_Core_Leads_Users extends ZLEADSCRM_BASIC_Core_Leads_Users {

		public function __construct() {
			parent::__construct();
		}

		public function get_export_data() {
			if ( $this->items ) {
				$r = 'Last Name, First Name, Title, Email, Phone, Website, Business Name, Address, City, State, Postcode, Country, Customer Status, Lead Status, Account Manager';
				$r .= "\r\n";

				foreach ( $this->items as $user ) {

					$o = '';
					$o .= $user->last_name . ',' . $user->first_name . ',' . get_user_meta( $user->ID, 'zleadscrm_title', true );
					$r .= $o . ',';

					$email   = ( $user->user_email != '' ) ? $user->user_email : '-';
					$phone   = ( get_user_meta( $user->ID, 'zleadscrm_phone', true ) != '' ) ? get_user_meta( $user->ID, 'zleadscrm_phone', true ) : '-';
					$website = ( $user->user_url != '' ) ? $user->user_url : '-';

					$o = $email . ',' . $phone . ',' . $website;

					$r .= $o . ',';

					$business = get_user_meta( $user->ID, 'zleadscrm_business_name', true );
					if ( $business == '' ) {
						$business = '-';
					}

					$r .= $business . ',';

					$address = '';

					if ( get_user_meta( $user->ID, 'billing_address_1', true ) != '' ) {
						$address = get_user_meta( $user->ID, 'billing_address_1', true );
					} else {
						$address = '-';
					}
					if ( get_user_meta( $user->ID, 'billing_address_2', true ) != '' ) {
						$address .= ' ' . get_user_meta( $user->ID, 'billing_address_2', true );
					} else {
						$address = '-';
					}
					if ( get_user_meta( $user->ID, 'billing_city', true ) != '' ) {
						$address .= ', ' . get_user_meta( $user->ID, 'billing_city', true );
					} else {
						$address .= ',-';
					}
					if ( get_user_meta( $user->ID, 'billing_state', true ) != '' ) {
						$address .= ', ' . get_user_meta( $user->ID, 'billing_state', true );
					} else {
						$address .= ',-';
					}
					if ( get_user_meta( $user->ID, 'billing_postcode', true ) != '' ) {
						$address .= ', ' . get_user_meta( $user->ID, 'billing_postcode', true );
					} else {
						$address .= ',-';
					}
					if ( get_user_meta( $user->ID, 'billing_country', true ) != 'select' ) {
						$address .= ', ' . get_user_meta( $user->ID, 'billing_country', true );
					} else {
						$address .= ',-';
					}
					if ( $address == '' ) {
						$address = '-';
					}

					$r .= $address . ',';

					$customer_status = get_user_meta( $user->ID, 'zleadscrm_lead_customer_status', true );

					$r .= $customer_status . ',';

					$lead_status = get_user_meta( $user->ID, 'zleadscrm_lead_status', true );
					if ( $lead_status != 'select' ) {
						$o = ucwords( str_replace( '_', ' ', $lead_status ) );
					} else {
						$o = 'No status';
					}

					$r .= $o . ',';

					$account_manager_id = get_user_meta( $user->ID, 'zleadscrm_account_manager', true );
					if ( $account_manager_id != 'select' && $account_manager_id != '0' ) {
						$account_manager = get_user_by( 'id', $account_manager_id )->display_name;
					} else {
						$account_manager = '';
					}

					if ( $account_manager == '' ) {
						$account_manager = '-';
					}

					$r .= $account_manager . ',';

					$r .= "\r\n";
				}

				return $r;
			}

			return null;
		}
	}

?>