<?php

	if ( ! function_exists( 'zleadscrm_get_users_allowed_export_search_setting' ) ) {
		function zleadscrm_get_users_allowed_export_search_setting() {
			return get_option( 'zleadscrm_users_allowed_export_search_setting', 'all' );
		}
	}

	if ( ! function_exists( 'zleadscrm_get_export_search_users' ) ) {
		function zleadscrm_get_export_search_users() {
			return get_option( 'zleadscrm_allowed_export_search_users', [] );
		}
	}

	if ( ! function_exists( 'zleadscrm_get_users_allowed_export_leads_setting' ) ) {
		function zleadscrm_get_users_allowed_export_leads_setting() {
			return get_option( 'zleadscrm_users_allowed_export_leads_setting', 'all' );
		}
	}

	if ( ! function_exists( 'zleadscrm_get_export_leads_users' ) ) {
		function zleadscrm_get_export_leads_users() {
			return get_option( 'zleadscrm_allowed_export_leads_users', [] );
		}
	}

	if ( ! function_exists( 'zleadscrm_get_users_allowed_export_bookmarks_setting' ) ) {
		function zleadscrm_get_users_allowed_export_bookmarks_setting() {
			return get_option( 'zleadscrm_users_allowed_export_bookmarks_setting', 'all' );
		}
	}

	if ( ! function_exists( 'zleadscrm_get_export_bookmarks_users' ) ) {
		function zleadscrm_get_export_bookmarks_users() {
			return get_option( 'zleadscrm_allowed_export_bookmarks_users', [] );
		}
	}

	if ( ! function_exists( 'zleadscrm_user_can_export_search' ) ) {
		function zleadscrm_user_can_export_search( $user_id ) {
			$roles = zleadscrm_get_selected_roles();

			$user_roles = get_user_by( 'id', $user_id )->roles;

			foreach ( $user_roles as $user_role ) {
				if ( ! in_array( $user_role, $roles ) ) {
					return false;
				}
			}

			if ( zleadscrm_get_users_allowed_export_search_setting() == 'all' ) {
				return true;
			}

			$allowed_export_search_users = zleadscrm_get_export_search_users();

			return in_array( $user_id, $allowed_export_search_users );
		}
	}

	if ( ! function_exists( 'zleadscrm_user_can_export_leads' ) ) {
		function zleadscrm_user_can_export_leads( $user_id ) {
			$roles = zleadscrm_get_selected_roles();

			$user_roles = get_user_by( 'id', $user_id )->roles;

			foreach ( $user_roles as $user_role ) {
				if ( ! in_array( $user_role, $roles ) ) {
					return false;
				}
			}

			if ( zleadscrm_get_users_allowed_export_leads_setting() == 'all' ) {
				return true;
			}

			$allowed_export_leads_users = zleadscrm_get_export_leads_users();

			return in_array( $user_id, $allowed_export_leads_users );
		}
	}

	if ( ! function_exists( 'zleadscrm_user_can_export_bookmarks' ) ) {
		function zleadscrm_user_can_export_bookmarks( $user_id ) {
			$roles = zleadscrm_get_selected_roles();

			$user_roles = get_user_by( 'id', $user_id )->roles;

			foreach ( $user_roles as $user_role ) {
				if ( ! in_array( $user_role, $roles ) ) {
					return false;
				}
			}

			if ( zleadscrm_get_users_allowed_export_bookmarks_setting() == 'all' ) {
				return true;
			}

			$allowed_export_bookmarks_users = zleadscrm_get_export_bookmarks_users();

			return in_array( $user_id, $allowed_export_bookmarks_users );
		}
	}

	if ( ! function_exists( 'zleadscrm_display_export_settings' ) ) {
		function zleadscrm_display_export_settings() {
			include_once( ZLEADSCRM_EXPORT_PLUGIN_DIR . 'template/settings.php' );
		}
	}

	if ( ! function_exists( 'zleadscrm_lead_result_export_data' ) ) {
		function zleadscrm_lead_result_export_data() {
			if ( ! class_exists( 'ZLEADSCRM_PROSPECT_Core' ) ) {
				return null;
			}

			global $wpdb;
			$table_name   = $wpdb->prefix . 'zleadscrm_leads_results';
			$current_user = get_current_user_id();

			$total_items = $wpdb->get_results( "SELECT * FROM $table_name WHERE user_id=$current_user ORDER BY timestamp ASC;" );
			if ( $total_items ) {
				$r = 'Business Name, Business Type, Phone, Website, Address';
				$r .= "\r\n";

				foreach ( $total_items as $result ) {

					$r .= str_replace( '#', 'no. ', $result->business_name ) . ',';
					$o = '';
					if ( is_array( $result->business_type ) ) {
						foreach ( $result->business_type as $btype ) {
							$o .= ucfirst( str_replace( '_', ' ', $btype ) ) . ';';
						}
					} else {
						$o .= $result->business_type;
					}
					$r .= $o . ',';
					$r .= str_replace( '#', '', $result->phone ) . ',';
					$r .= str_replace( '#', '', $result->website ) . ',';
					$r .= str_replace( '#', 'no. ', $result->address ) . ',';
					$r .= "\r\n";
				}

				return $r;
			}

			return null;
		}
	}

?>